net.corda.core.serialization

## Class SingletonSerializeAsToken

- net.corda.core.serialization.SingletonSerializeAsToken

- All Implemented Interfaces:
    SerializeAsToken
  Direct Known Subclasses:
    AbstractNode, AbstractNodeService, ArtemisMessagingComponent, E2ETestKeyManagementService, FlowLogicRefFactory, InMemoryIdentityService, InMemoryNetworkMapCache, MonitoringService, NodeSchedulerService, NodeSchemaService, NodeVaultService, NotaryService, PersistentKeyManagementService, PersistentUniquenessProvider, RaftUniquenessProvider, NotaryChange.Service, DataVending.Service, StorageServiceImpl

      public class SingletonSerializeAsToken
      implements SerializeAsToken

  A base class for implementing large objects / components / services that need to serialize themselves to a string token to indicate which instance the token is a serialized form of.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonSerializeAsToken()` A base class for implementing large objects / components / services that need to serialize themselves to a string token to indicate which instance the token is a serialized form of.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerializationToken` | `toToken(SerializeAsTokenContext context)`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Constructor Detail

    - #### SingletonSerializeAsToken

          public SingletonSerializeAsToken()

      A base class for implementing large objects / components / services that need to serialize themselves to a string token to indicate which instance the token is a serialized form of.

  - ### Method Detail

    - #### toToken

          public SerializationToken toToken(SerializeAsTokenContext context)